# STEP 1
FROM ubuntu:20.04
# Install tools required for project
RUN apt-get update
RUN apt-get install --no-install-recommends -y git openssh-server python3 python3-pip make

COPY ./ /src

#RUN git clone git@gitlab.inria.fr:TeamPlay/TeamPlay_Development/TeamPlay_Tools.git

RUN PWD

WORKDIR /TeamPlay_Tools/SecurityAnalyser/SecurityQuantifier

RUN ln -s /usr/bin/python3 /usr/bin/python
RUN make dist
RUN python3 -m pip install --upgrade pip setuptools wheel
RUN python3 -m pip install h5py tables pandas numpy scipy

RUN mkdir -p /var/log/TeamPlay/SQ/

RUN python3 -m pip install lib/sqcommon-1.7.2.tar.gz
WORKDIR securityquantifier
RUN sed -i '1s/^/import os\nimport sys\npath = os.path.join(os.path.dirname(__file__), os.pardir)\nsys.path.append(path)\n/' ../main.py
